#55 Fedora 39 IoT nightlies since Fedora-IoT-39-20240226.0 fail to install with `Multiple specifications found for remote "fedora-iot"` error
Opened 3 months ago by adamwill. Modified 3 months ago

Since Fedora-IoT-39-20240226.0 , the nightly IoT installer images fail to install on both x86_64 and aarch64. anaconda shows the error on screen, in the logs we can a bit more detail:

INFO:anaconda.core.threads:Running Thread: AnaTaskThread-PullRemoteAndDeleteTask-1 (140228782196416)
INFO:anaconda.modules.common.task.task:Pull OSTree Remote
INFO:anaconda.core.threads:Thread Failed: AnaTaskThread-PullRemoteAndDeleteTask-1 (140228782196416)
ERROR:anaconda.modules.common.task.task:Thread AnaTaskThread-PullRemoteAndDeleteTask-1 has failed: Traceback (most recent call last):
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/payloads/payload/rpm_ostree/installation.py", line 681, in run
    repo.pull_with_options(self._data.remote,
gi.repository.GLib.GError: g-io-error-quark: opening repo: Reloading remotes: Multiple specifications found for remote "fedora-iot" (0)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib64/python3.12/site-packages/pyanaconda/core/threads.py", line 280, in run
    threading.Thread.run(self)
  File "/usr/lib64/python3.12/threading.py", line 1010, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 94, in _thread_run_callback
    self._task_run_callback()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 107, in _task_run_callback
    self._set_result(self.run())
                     ^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/payloads/payload/rpm_ostree/installation.py", line 685, in run
    raise PayloadInstallationError("Failed to pull from repository: %s" % e) from e
pyanaconda.modules.common.errors.installation.PayloadInstallationError: Failed to pull from repository: g-io-error-quark: opening repo: Reloading remotes: Multiple specifications found for remote "fedora-iot" (0)

INFO:anaconda.core.threads:Thread Done: AnaTaskThread-PullRemoteAndDeleteTask-1 (140228782196416)
WARNING:dasbus.server.handler:The call org.fedoraproject.Anaconda.Task.Finish has failed with an exception:
Traceback (most recent call last):
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/payloads/payload/rpm_ostree/installation.py", line 681, in run
    repo.pull_with_options(self._data.remote,
gi.repository.GLib.GError: g-io-error-quark: opening repo: Reloading remotes: Multiple specifications found for remote "fedora-iot" (0)

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.12/site-packages/dasbus/server/handler.py", line 455, in _method_callback
    result = self._handle_call(
             ^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/dasbus/server/handler.py", line 265, in _handle_call
    return handler(*parameters, **additional_args)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task_interface.py", line 114, in Finish
    self.implementation.finish()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 173, in finish
    thread_manager.raise_if_error(self._thread_name)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/core/threads.py", line 171, in raise_if_error
    raise exc_info[1]
  File "/usr/lib64/python3.12/site-packages/pyanaconda/core/threads.py", line 280, in run
    threading.Thread.run(self)
  File "/usr/lib64/python3.12/threading.py", line 1010, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 94, in _thread_run_callback
    self._task_run_callback()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 107, in _task_run_callback
    self._set_result(self.run())
                     ^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/payloads/payload/rpm_ostree/installation.py", line 685, in run
    raise PayloadInstallationError("Failed to pull from repository: %s" % e) from e
pyanaconda.modules.common.errors.installation.PayloadInstallationError: Failed to pull from repository: g-io-error-quark: opening repo: Reloading remotes: Multiple specifications found for remote "fedora-iot" (0)

That's expected, we're looking into the anaconda fix, but the openQA checks should be against the osbuild ISO now

well, it checks the osbuild ISO for F40+ since it was made the default there, but for F39 I thought the traditional ISO is still the 'default', it's the one that was released and it has the non-variant productmd metadata.

Are these nightlies being 'made public' somewhere? Is the osbuild one now promoted over the 'traditional' one there? If so I can tweak this in the scheduler, I guess. https://fedoraproject.org/iot/download still seems to show the release day images. I'm not honestly totally sure what these nightlies are for, openQA is just kinda testing them for free (it would be harder to make it not test them :>)

Log in to comment on this ticket.

Metadata